package com.fzm.common.open.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.mapper.CopyrightApiFileMapper;
import com.fzm.common.open.entity.dataobject.CopyrightApiFileDO;
import com.fzm.common.open.service.CopyrightApiFileService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:43
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightApiFileServiceImpl extends ServiceImpl<CopyrightApiFileMapper, CopyrightApiFileDO> implements CopyrightApiFileService {

    private final CopyrightApiFileMapper copyrightApiFileMapper;


    @Override
    public List<CopyrightApiFileDO> getByCopyrightId(Integer copyrightId) {
        QueryWrapper<CopyrightApiFileDO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("copyright_id", copyrightId);
        return copyrightApiFileMapper.selectList(queryWrapper);
    }
}
