package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.TbCollection;
import com.fzm.common.mapper.CollectionMapper;
import com.fzm.common.service.CollectionService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:36
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CollectionServiceImpl extends ServiceImpl<CollectionMapper, TbCollection> implements CollectionService {

    private final CollectionMapper collectionMapper;

    @Override
    public void deleteByUserIdAndNftId(int userId, Integer nftId) {
        QueryWrapper<TbCollection> wrapper = new QueryWrapper<>();
        wrapper.eq("user_id", userId).eq("nft_id", nftId);
        remove(wrapper);
    }

    @Override
    public List<Integer> getNftIdListByUserId(int userId) {
        return collectionMapper.getNftIdListByUserId(userId);
    }
}
