package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightApplyOwnerRelation;
import com.fzm.common.mapper.CopyrightApplyOwnerRelationMapper;
import com.fzm.common.service.CopyrightApplyOwnerRelationService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/13 11:25
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightApplyOwnerRelationServiceImpl extends ServiceImpl<CopyrightApplyOwnerRelationMapper, CopyrightApplyOwnerRelation> implements CopyrightApplyOwnerRelationService {
    private final CopyrightApplyOwnerRelationMapper copyrightApplyOwnerRelationMapper;

    @Override
    public void delByCopyrightId(Integer copyrightId) {
        UpdateWrapper<CopyrightApplyOwnerRelation> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("copyright_id", copyrightId);
        copyrightApplyOwnerRelationMapper.delete(updateWrapper);
    }

    @Override
    public List<CopyrightApplyOwnerRelation> getByCopyrightId(Integer copyrightId) {
        QueryWrapper<CopyrightApplyOwnerRelation> wrapper = new QueryWrapper<>();
        wrapper.eq("copyright_id", copyrightId);
        return this.list(wrapper);
    }
}
