package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightFile;
import com.fzm.common.mapper.CopyrightFileMapper;
import com.fzm.common.service.CopyrightFileService;
import com.fzm.common.utils.ObsUtil;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:43
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightFileServiceImpl extends ServiceImpl<CopyrightFileMapper, CopyrightFile> implements CopyrightFileService {

    private final CopyrightFileMapper copyrightFileMapper;

    private final ObsUtil obsUtil;


    @Override
    public List<CopyrightFile> getByCopyrightId(Integer copyrightId) {
        QueryWrapper<CopyrightFile> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("copyright_id", copyrightId);
        return copyrightFileMapper.selectList(queryWrapper);
    }

    @Override
    public void delByCopyrightId(Integer copyrightId, boolean delFile) {
        if (delFile) {
            List<CopyrightFile> list = getByCopyrightId(copyrightId);
            for (CopyrightFile file : list) {
                obsUtil.delete(file.getFileUrl());
            }
        }

        UpdateWrapper<CopyrightFile> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("copyright_id", copyrightId);
        copyrightFileMapper.delete(updateWrapper);
    }
}
