package com.fzm.common.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.fzm.common.entity.Notify;
import com.fzm.common.entity.NotifyState;
import com.fzm.common.entity.vo.NotifyVO;
import com.fzm.common.mapper.NotifyMapper;
import com.fzm.common.mapper.NotifyStateMapper;
import com.fzm.common.service.NotifyService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wt
 * @date 2022/3/7
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class NotifyServiceImpl implements NotifyService {
    private final NotifyMapper notifyMapper;
    private final NotifyStateMapper notifyStateMapper;

    @Override
    public NotifyVO selectById(int id) {
        Notify notify = notifyMapper.selectById(id);
        return BeanUtil.copyProperties(notify, NotifyVO.class);
    }

    @Override
    public PageInfo<NotifyVO> pages(Integer uid, int page, int size) {
        PageHelper.startPage(page, size);
        List<Notify> notifyList = notifyMapper.select(uid, 0, 0);
        List<NotifyVO> notifyVOList = new ArrayList<>(notifyList.size());
        notifyList.forEach(n -> notifyVOList.add(BeanUtil.copyProperties(n, NotifyVO.class)));
        return new PageInfo<>(notifyVOList);
    }

    @Override
    public NotifyState selectByUid(Integer uid) {
        NotifyState notifyState = notifyStateMapper.selectByUid(uid);
        if (notifyState == null) {
            notifyState = new NotifyState();
            notifyState.setUid(uid);
            notifyState.setNumber(0);
            notifyState.setNids("[]");
        }
        return notifyState;
    }

    @Override
    public void updateState(NotifyState notifyState) {
        notifyStateMapper.update(notifyState);
    }
}
