package com.fzm.common.service.impl;

import com.fzm.common.entity.Order;
import com.fzm.common.entity.User;
import com.fzm.common.service.OrderService;
import com.fzm.common.service.SmsService;
import com.fzm.common.service.UserService;
import com.fzm.common.utils.SmsUtil;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * @author tangtuo
 * @date 2022/2/8 14:12
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class SmsServiceImpl implements SmsService {
    private final UserService userService;
    private final SmsUtil smsUtil;
    private final OrderService orderService;

    @Override
    @Async("threadPoolTaskExecutor")
    public void sendRefundSms(Long orderId) {
        Order order = orderService.getById(orderId);
        User user = userService.getById(order.getUserId());
        String fee = BigDecimal.valueOf(order.getFee()).divide(new BigDecimal(100), 2, BigDecimal.ROUND_DOWN).toString();
        smsUtil.sendRefundSms(user.getTelephone(), fee);
    }
}
